=== debian/changelog ===
golang-github-canonical-candid (1.11.0-2) unstable; urgency=medium

  * Source-only upload for migration
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Mathias Gibbens <mathias@calenhad.com>  Thu, 12 May 2022 21:47:51 +0000

golang-github-canonical-candid (1.11.0-1) unstable; urgency=medium

  * Initial release (Closes: #998752)

 -- Mathias Gibbens <mathias@calenhad.com>  Mon, 25 Apr 2022 19:03:57 +0530
