## golang-github-canonical-candid 1.12.1

=== candid-operator/requirements.txt ===
Jinja2 == 2.11.3
ops >= 1.4.0
markupsafe == 2.0.1
