=== debian/changelog ===
golang-github-canonical-candid (1.12.1-1) unstable; urgency=medium

  * New upstream release
    - Add/refresh/drop patches as needed
  * d/control:
    - Update Build-Depends and Depends
    - Add Breaks lxd << 5.0.1

 -- Mathias Gibbens <mathias@calenhad.com>  Sun, 11 Sep 2022 17:35:47 +0000
