=== debian/control ===
--- 
+++ 
@@ -11,13 +11,14 @@
                golang-github-duo-labs-webauthn-dev,
                golang-github-frankban-quicktest-dev,
                golang-github-go-ldap-ldap-dev,
+               golang-github-go-macaroon-bakery-macaroon-bakery-dev,
                golang-github-gomodule-oauth1-dev,
                golang-github-google-go-cmp-dev,
                golang-github-google-uuid-dev,
                golang-github-gorilla-handlers-dev,
                golang-github-juju-aclstore-dev,
                golang-github-juju-clock-dev,
-               golang-github-juju-cmd-dev,
+               golang-github-juju-cmd-dev (>= 3.0.2),
                golang-github-juju-gnuflag-dev,
                golang-github-juju-loggo-dev,
                golang-github-juju-names-dev,
@@ -40,7 +41,6 @@
                golang-gopkg-httprequest.v1-dev,
                golang-gopkg-juju-environschema.v1-dev,
                golang-gopkg-macaroon.v2-dev,
-               golang-gopkg-macaroon-bakery.v2-dev,
                golang-gopkg-mgo.v2-dev,
                golang-gopkg-natefinch-lumberjack.v2-dev,
                golang-gopkg-square-go-jose.v2-dev,
@@ -58,18 +58,20 @@
 Package: golang-github-canonical-candid-dev
 Architecture: all
 Multi-Arch: foreign
+Breaks: lxd (<< 5.0.1)
 Depends: ${misc:Depends},
          golang-github-coreos-go-oidc-dev,
          golang-github-duo-labs-webauthn-dev,
          golang-github-frankban-quicktest-dev,
          golang-github-go-ldap-ldap-dev,
+         golang-github-go-macaroon-bakery-macaroon-bakery-dev,
          golang-github-gomodule-oauth1-dev,
          golang-github-google-go-cmp-dev,
          golang-github-google-uuid-dev,
          golang-github-gorilla-handlers-dev,
          golang-github-juju-aclstore-dev,
          golang-github-juju-clock-dev,
-         golang-github-juju-cmd-dev,
+         golang-github-juju-cmd-dev (>= 3.0.2),
          golang-github-juju-gnuflag-dev,
          golang-github-juju-loggo-dev,
          golang-github-juju-names-dev,
@@ -92,7 +94,6 @@
          golang-gopkg-httprequest.v1-dev,
          golang-gopkg-juju-environschema.v1-dev,
          golang-gopkg-macaroon.v2-dev,
-         golang-gopkg-macaroon-bakery.v2-dev,
          golang-gopkg-mgo.v2-dev,
          golang-gopkg-natefinch-lumberjack.v2-dev,
          golang-gopkg-square-go-jose.v2-dev,
