## golang-github-canonical-candid 1.12.2

=== Makefile ===
--- 
+++ 
@@ -68,6 +68,17 @@
 	@echo on OS X with homebrew try: brew install bazaar mongodb
 endif
 
+image:
+    DOCKER_BUILDKIT=1 \
+    docker build \
+        --build-arg AUTH_TYPE=ssh \
+        --cache-from candid:latest \
+        --progress=plain \
+        --secret id=ghuser,env=GH_USER \
+        --secret id=ghpat,env=GH_PAT \
+        --ssh default \
+        . -f ./docker/Dockerfile -t candid
+
 help:
 	@echo -e 'Identity service - list of make targets:\n'
 	@echo 'make - Build the package.'
