=== debian/changelog ===
golang-github-canonical-candid (1.12.2-1) unstable; urgency=medium

  * New upstream release
    - Refresh/drop patches as needed
  * d/control:
    - Update my email address
    - Bump Standards-Version (no changes needed)
    - Correct dependency on golang-golang-x-oauth2-dev
  * Refresh and update d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 17 Dec 2022 17:12:20 +0000
