=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: golang-github-canonical-candid
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Mathias Gibbens <mathias@calenhad.com>
+Uploaders: Mathias Gibbens <gibmat@debian.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -34,7 +34,7 @@
                golang-github-yohcop-openid-go-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
-               golang-golang-x-oauth2-google-dev,
+               golang-golang-x-oauth2-dev,
                golang-gopkg-asn1-ber.v1-dev,
                golang-gopkg-errgo.v1-dev,
                golang-gopkg-goose.v1-dev,
@@ -48,7 +48,7 @@
                golang-pq-dev,
                golang-prometheus-client-dev,
                golang-yaml.v2-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-canonical-candid
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-canonical-candid.git
 Homepage: https://github.com/canonical/candid
@@ -87,7 +87,7 @@
          golang-github-yohcop-openid-go-dev,
          golang-golang-x-crypto-dev,
          golang-golang-x-net-dev,
-         golang-golang-x-oauth2-google-dev,
+         golang-golang-x-oauth2-dev,
          golang-gopkg-asn1-ber.v1-dev,
          golang-gopkg-errgo.v1-dev,
          golang-gopkg-goose.v1-dev,
