=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

# Skip dh_auto_build, since we currently aren't packaging any of the resulting binaries
override_dh_auto_build:
