## golang-github-canonical-candid 1.12.3

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 GIT_COMMIT := $(shell git rev-parse --verify HEAD)
 GIT_VERSION := $(shell git describe --dirty)
+GO_VERSION := $(shell go list -f {{.GoVersion}} -m)
 ARCH := $(shell dpkg --print-architecture)
 
 DEPENDENCIES := build-essential bzr
@@ -69,15 +70,13 @@
 endif
 
 image:
-    DOCKER_BUILDKIT=1 \
-    docker build \
-        --build-arg AUTH_TYPE=ssh \
-        --cache-from candid:latest \
-        --progress=plain \
-        --secret id=ghuser,env=GH_USER \
-        --secret id=ghpat,env=GH_PAT \
-        --ssh default \
-        . -f ./docker/Dockerfile -t candid
+	DOCKER_BUILDKIT=1 \
+	docker build \
+		--build-arg="GIT_COMMIT=$(GIT_COMMIT)" \
+		--build-arg="VERSION=$(GIT_VERSION)" \
+		--build-arg="GO_VERSION=$(GO_VERSION)" \
+		--build-arg="ARCH=$(ARCH)" \
+		. -f ./Dockerfile -t candid
 
 help:
 	@echo -e 'Identity service - list of make targets:\n'
