=== charms/candid-k8s/requirements.txt ===
Jinja2 == 2.11.3
ops >= 1.4.0
ops-lib-pgsql
markupsafe == 2.0.1
