=== debian/changelog ===
golang-github-canonical-candid (1.12.3-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 08 Mar 2024 15:49:34 +0000

golang-github-canonical-candid (1.12.2-4) unstable; urgency=medium

  * Update Build-Depends and Depends to use golang-github-go-webauthn-
    webauthn-dev rather than golang-github-duo-labs-webauthn-dev and
    add a patch to update import paths (See #1025857)
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 19 Jan 2024 22:14:18 +0000

golang-github-canonical-candid (1.12.2-3) unstable; urgency=medium

  * Fix FTBFS with golang 1.21

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 18 Aug 2023 16:01:34 +0000

golang-github-canonical-candid (1.12.2-2) unstable; urgency=medium

  * Fix FTBFS with updated version of golang-github-go-ldap-ldap

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 16 Jun 2023 22:26:42 +0000
